import Foundation

enum Event: String {
    case addOrUpdate, remove
}

struct Payload: Encodable {
    let customer: Customer
    let movieTheaterId: String
}

func postAction(_ event: Event, customer: Customer, movieTheaterId: String) {
    let payload = Payload(customer: customer, movieTheaterId: movieTheaterId)

    let encoder = JSONEncoder()
    let jsonData = try! encoder.encode(payload)

    let url = URL(string: "\(GLITCH_APP_URL)/\(event.rawValue)")!

    var request = URLRequest(url: url)
    request.httpMethod = "POST"
    request.setValue("application/json", forHTTPHeaderField: "Content-Type")
    request.httpBody = jsonData

    let task = URLSession.shared.dataTask(with: request) { data, response, error in
        if let error = error {
            NSLog("sendRequest error = \(error), request = \(request)")
        }
        if let httpResponse = response as? HTTPURLResponse {
            NSLog("sendRequest statusCode = \(httpResponse.statusCode), request = \(request)")
        }
    }

    task.resume()
}
