import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {

        // usually, the app will start in the LocationViewController, where we'll attempt to detect which theater the Employee app is in, so that we can show customers inside that theater
        //
        // however, since iOS simulator doesn't support Bluetooth, if running in a simulator, we'll just use the hard-coded SIMULATOR_MOVIE_THEATER_ID (see CHANGE_ME.swift) and skip straight to the TicketsViewController
        //
        // this allows you to test this example with only one physical iOS device: run the Customer app on the device, and the Employee app on the simulator

        #if targetEnvironment(simulator)

        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let navigationVC = window!.rootViewController as! UINavigationController

        let ticketsVC = storyboard.instantiateViewController(withIdentifier: "Tickets") as! TicketsViewController
        ticketsVC.movieTheaterId = SIMULATOR_MOVIE_THEATER_ID

        navigationVC.viewControllers = [ticketsVC]

        #endif

        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }
}
