let ESTIMOTE_APP_ID = "<#APP_ID#>"
let ESTIMOTE_APP_TOKEN = "<#APP_TOKEN#>"

// TODO: you also need to add these attachments to at least one of your beacons in Estimote Cloud:
//
//     key: type, value: ticket-check
//     key: movieTheaterId: value: my-theater
//
// if you want to simulate/test more theaters, repeat the above for more beacons, just change the movieTheaterId to something unique per each beacon



// this example uses a simple backend to pass messages between the Customer app and the Employee app
// you can see the backend's source on https://glitch.com/edit/#!/movie-tickets-server, and fork it with the "Remix This" button in the top-right corner
//
// you don't necessarily need to do that, feel free to use the default server
//
// however, this means that you'll be sharing the server with other people: for example, you might see others' names and tickets, and others might see your names and tickets
//
// if you don't want that, you can either:
//
//  - make sure to use a hopefully-unique movieTheaterId when configuring your beacons (definitely don't use "my-theater"; for example, use "my-theater-<8 random characters>")
//
//  - fork the backend with the "Remix This" button, and update the URL below to point to your own instance (you need to use the ".glitch.me" URL, not the "glitch.com/edit" URL! on Glitch, use the "Show" button in the top-left corner to see your ".glitch.me" URL)

let GLITCH_APP_URL = "https://movie-tickets-server.glitch.me"



// iOS simulator doesn't support Bluetooth, which means beacons/Proximity doesn't work in a simulator, so we generally recommend running these examples on physical devices
//
// however, if you only have one iOS device at hand, you can still try this example:
//
//  1. Run the Customer app on the physical device, and the Employee app in a simulator.
//  2. Instead of using Proximity to detect which theater the Employee app is in, we'll use the ID below (so make sure this matches your beacon's "movieTheaterId" attachment).

let SIMULATOR_MOVIE_THEATER_ID = "my-theater"
